Jump to content

GTA for PSP will only work with Firmware 2.0


L.S.D
 Share

Recommended Posts

This piece of news is taken from PSPUpdates

 

Grand Theft Auto: LCS - Only on 2.00 Firmware

 

After multiple emails from users confirming it, we are confident to post that Grand Theft Auto: Liberty City Stories will ONLY work on PSPs running 2.00 firmware. It will not work with SXT version changer, Fastloader, UMD Emulator, No Update UMD Starter, or any other version switcher / workaround type program. Looks like your only choice is to upgrade to 2.00.

 

Keep in mind that you can still use the 2.00 eboot loader to run SOME homebrew on your PSP even with 2.00 firmware.

 

 

This might be bad news for those using iso loaders and homebrew like me :blink:

Edited by L.S.D
Link to comment
Share on other sites

Don't worry, I'm sure some guy will find a way to circumvent it. I think people should be worrying about the ISO size since it'll probably be bigger than 1GB. Good luck ripping the game for you guys who like to have a "backup". :blink:

Link to comment
Share on other sites

alot of the emulators don't even work on 2.0 yet.

I think only NES and GBC work with 2.0.

I'm not that into GTA to upgrade right now, maybe later I dunno.

Link to comment
Share on other sites

Hey guys. Not posted for a long time. But you can get a version changer. goto WAB and download the version changer. Follow the instsructions and it tricks your 1.5 psp to thinking its running version 2.00. It works, as i used it after i downgraded my 2.00 version.

So you can enjoy all the latest releases and still emu's and homebrew.

Link to comment
Share on other sites

version changer doesn't work with GTA.

niether does swapping discs. if you want GTA, you have to upgrade and I am not doing it.

 

I wouldn't use anything from WaB/SxT if my life depended on it, damn scamming crybaby bastards.

Link to comment
Share on other sites

I wouldn't use anything from WaB/SxT if my life depended on it, damn scamming crybaby bastards.

Well said, Inky.

 

Anyway, I just upgrade to Firmware 2.0 to play GTA.

And I really didn't regret it. Very enjoyable. DOing a drive-by while

listening to the Bollywood radio, preaching the cleansing of souls :)

 

Now, I just need to find a copy of Hot Shots: Open Tee. My gf love this game and we can't play it now now that I have upgraded :P

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...